
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
             
             
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-12">
          
                  <!-- general form elements -->
                  <div class="card card-primary">
                    <div class="card-header">
                      <h3 class="card-title">Modifier la page</h3>
                     
                    </div>
                  <!-- /.card-header -->
                  <!-- form start -->
               
                      <div class="card-body">
                      
                        <style type="text/css">
                          .cke_textarea_inline {
                            border: 1px solid #ccc;
                            padding: 10px;
                            min-height: 300px;
                            background: #fff;
                            color: #000;
                          }
                        </style>
                        <form action="https://d1.ckeditor.com/savetextarea/savetextarea.php" method="post">
                          <div class="form-group">
                            <label for="Price">Nom de la page</label>
                            
                            <input type="text" id="page_name" name="page_name" class="form-control" value="<%= page.page_name%>">
                           <input type="hidden" id="page_id" name="page_id" class="form-control" value="<%= page._id%>">
                        </div>
                         
                          <textarea cols="80" id="editor2" name="editor2" rows="10" >
                            <%= page.page_content%>
                      </textarea>
                      
                      <button type="button" class="btn btn-primary" onclick="handlesubmit()">Mise à jour</button>
                        </form>
                        <script>
                          CKEDITOR.inline('editor2', {
                            removeButtons: 'PasteFromWord'
                        
                          
                          });
                          function handlesubmit() {
                            var data = CKEDITOR.instances.editor2.getData();
                            var page_name = document.getElementById('page_name').value;
                            var page_id = document.getElementById('page_id').value;
                            const newdata={
                              page_content:data,
                              page_name:page_name,
                                id:page_id
                            }
                            var base_url="<%= base_url %>";
                            var url= base_url+"updatepage";
                            const requestOptions = {
                            method: 'POST',
                            headers: { 'Content-Type': 'application/json' },
                            body: JSON.stringify(newdata)
                        };
                          fetch(url, requestOptions)
                          .then(response => response.json())
                          .then(data => {
                              if(data.status){
                                  toastr.success(data.message);
                              }else{
                                toastr.error(data.message);
                              }
                            })
                          }
                        </script>
                      </div>
                      <!-- /.card-body -->
      
                     
                
                  </div>
                
          <!-- /.card -->
      
      
          <!-- /.card -->
          </div>
          <!-- /.col -->
      </div>
        
       
        <!-- /.row -->
        <!-- Main row -->
      
        <!-- /.row (main row) -->
      </div><!-- /.container-fluid -->
     
    </section>
   
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
